Inhalte

# Anweisung Set

Setzt eine Objektreferenz auf eine Variable.

### Syntax:

       [Set] Variable = [New] Objekt

### Parameter:

Variable: eine Variable oder eine Eigenschaft, die eine Objektreferenz erfordert.

Ausdruck: Eine berechenbare Kombination von Begriffen wie einer Formel oder einer Objekteigenschaft oder Methode.

Objekt: Objekt, auf das sich die Variable bezieht.

Nothing – Weisen Sie einer Variablen Nothing zu, um eine vorherige Zuweisung zu entfernen.

Das Schlüsselwort Set ist optional. Nothing ist der Standardwert für Objekte.

### Beispiel:

    Sub ExampleSet
        Dim obj As Object
        Set obj = ThisComponent
        Print obj.Title

        obj = New com.sun.star.beans.PropertyValue
        With obj
            .Name = "key" : .Value = 594.34
            Print .Name, .Value
        End With
    End Sub

New erstellt UNO-Objekte oder Klassenmodul-Objekte, bevor sie einer Variablen zugewiesen wird.

Verwandte Themen

Operator New